<?php
    @session_start();
    header( "Content-type: text/html; charset=utf-8" );
    set_time_limit(2000000);
    if (!isset($_SESSION["admin"]["id"])) {
        echo "<script>location.href='index.php';</script>";
    }
    include "config/conf.php";
?>

<!DOCTYPE html>
<html>
<head>
	<title><?php echo $title; ?></title>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta charset="utf-8">
	<base href="<?php echo "http://".$_SERVER["HTTP_HOST"].$_SERVER["SCRIPT_NAME"]; ?>" />

	<link href='https://fonts.googleapis.com/css?family=Open+Sans' rel='stylesheet' type='text/css'>
	<link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet' type='text/css'>

	<link rel="stylesheet" type="text/css" href="css/bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="css/sb-admin.css">
	<link rel="stylesheet" type="text/css" href="css/font-awesome.min.css">
	<link rel="stylesheet" type="text/css" href="css/jasny-bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="css/jquery.autocomplete.css">
	<link rel="stylesheet" type="text/css" href="css/wysiwyg-color.css">

	<link rel="stylesheet" type="text/css" href="css/style.css">
	
    <link rel="shortcut icon" type="image/x-icon" href="<?=$base;?>/icone.png">

    <link href="summernote.css" rel="stylesheet">
   

	<script type="text/javascript" src="js/jquery-1.9.1.min.js"></script>
	<script type="text/javascript" src="js/bootstrap.min.js"></script>
	<script type="text/javascript" src="js/jqBootstrapValidation.js"></script>
	<script type="text/javascript" src="js/bootstrap-inputmask.min.js"></script>
	<script type="text/javascript" src="js/jquery.maskMoney.min.js"></script>
	<script type="text/javascript" src="js/prettify.js"></script>
	<script type="text/javascript" src="js/jquery.colorbox-min.js"></script>

    <script src="js/jquery.complexify.js"></script> 
    <script src="summernote.min.js"></script>

	<link rel="stylesheet" type="text/css" href="colorbox.css">
	<script>
	  $(function () { $("input,select,textarea").not("[type=submit]").jqBootstrapValidation(); } );
	</script>
	<style type="text/css">
		body, html { height: 100%; width: 100% }
		.mask { width: 100%; height: 100%; background: rgba(0,0,0,0.5); float: left; position: fixed; z-index: 1000000; }
	</style>
</head>
<body style="padding-top: 15px !important;">

<div class="container" style="margin-top:-50px">

<div id="msg"></div>
<?php

	if ( $_POST ) {

		$mes = $parceiro = $enviar = "";
		$max = 250;
		$qtde = $_POST["qtde"];
		$q = $max * $qtde;

		$teste = "Sim";

		if ( isset( $_POST["mes"] ) ) $mes = $_POST["mes"];
		if ( isset( $_POST["tipo"] ) ) $tipo = $_POST["tipo"];
		if ( isset( $_POST["enviar"] ) ) $enviar = $_POST["enviar"];
		if ( isset( $_POST["parceiro"] ) ) $parceiro = $_POST["parceiro"];
		if ( isset( $_POST["teste"] ) ) $teste = $_POST["teste"];
		if ( isset( $_POST["ano"] ) ) $ano = $_POST["ano"];

		

		if ( empty ( $parceiro ) ) {

			echo "<div class='alert alert-warning'>Por favor selecione o parceiro!</div>
			<script>top.$('#parceiro').focus();top.$('#enviando').hide();</script>";

		} else if ( empty ( $mes ) ) {

			echo "<div class='alert alert-warning'>Por favor selecione o mês!</div>
			<script>top.$('#mes').focus();top.$('#enviando').hide();</script>";

		}  else if ( empty ( $tipo ) ) {

			echo "<div class='alert alert-warning'>Por favor selecione o tipo!</div>
			<script>top.$('#tipo').focus();top.$('#tipo').hide();</script>";

		} else {

			$sql = "select * from parceiro where id = ? and envio = 'Sim' limit 1";
			$consulta = $db->prepare($sql);
			$consulta->bindParam(1, $parceiro);
			$consulta->execute();

			$dados = $consulta->fetch(PDO::FETCH_OBJ);

			if ( empty ( $dados->id ) )  {
				echo "<div class='alert alert-danger'><strong>Erro ao selecionar dados para envio:</strong> O parceiro selecionado não permite envio de e-mails.</div>";
			} else if ( empty ( $dados->servidor ) ) {
				echo "<div class='alert alert-danger'><strong>Erro:</strong> O parceiro selecionado não possui servidor configurado.</div>";
			} else if ( empty ( $dados->porta ) ) {
				echo "<div class='alert alert-danger'><strong>Erro:</strong> A porta de e-mails deste parceiro não está configurada para envios.</div>";
			} else if ( empty ( $dados->login ) ) {
				echo "<div class='alert alert-danger'><strong>Erro:</strong> Login para envio de e-mails em branco.</div>";
			}  else if ( empty ( $dados->senha ) ) {
				echo "<div class='alert alert-danger'><strong>Erro:</strong> Senha para envio de e-mails em branco.</div>";
			} else {

				require 'PHPMailerAutoload.php';

				$server = $dados->servidor;
				$port = $dados->porta;
				$login = $dados->login;
				$pass = $dados->senha;
				$nome = $dados->nomeemail;
				$assinatura = $dados->assinatura;
				$texto = $dados->texto;

				$data = $ano."-".$mes;

			/*	$sql = "select a.id aid, a.arquivo, c.id cid, c.nome, f.email femail, c.email cemail, f.nome fnome, p.nome parceiro, e.id eid
					from arquivo a
					inner join cliente c on (c.id = a.cliente_id)
					inner join funcionario f on (f.id = c.funcionario_id)
					inner join parceiro p on (p.id = c.parceiro_id)
					left join envio e on (a.id = e.arquivo_id)
					where c.parceiro_id = ? 
					AND c.ativo = 'Sim' 
					AND c.status = 'Ativo' 
					AND a.data like '$data%'
					group by a.id
					order by a.id
					limit 10";*/



			$sql = "select a.id aid, a.arquivo, c.id cid, c.nome, f.email femail, c.email cemail, f.nome fnome, p.nome parceiro, e.id eid
				from arquivo a
				inner join cliente c on (c.id = a.cliente_id)
				inner join funcionario f on (f.id = c.funcionario_id)
				inner join parceiro p on (p.id = c.parceiro_id)
				left join envio e on (a.id = e.arquivo_id)
				where c.parceiro_id = ? 
				AND a.data like '$data%'
				AND a.tipo = '$tipo'
				group by a.id
				order by c.nome 
				
				LIMIT $q, $max";



			if ( $teste == "Sim") {

				 $sql = "select a.id aid, a.arquivo, c.id cid, c.nome, f.email femail, c.email cemail, f.nome fnome, p.nome parceiro, e.id eid
				from arquivo a
				inner join cliente c on (c.id = a.cliente_id)
				inner join funcionario f on (f.id = c.funcionario_id)
				inner join parceiro p on (p.id = c.parceiro_id)
				left join envio e on (a.id = e.arquivo_id)
				where c.parceiro_id = ? 
				AND a.data like '$data%'
				AND a.tipo = '$tipo'
				group by a.id
				order by c.nome 
				LIMIT $q, 5";

			}




			$consulta = $db->prepare($sql);
				$consulta->bindParam(1, $parceiro);
				$consulta->execute();

				$count = $consulta->rowCount();

				if ( $count == 0 ) {

					echo "<div class='alert alert-warning'>Não existem mais mensagens a serem enviadas!</div>
					<script>top.$('#enviando').hide();</script>";
					exit;

				}

				echo "<div class='alert alert-info text-center' id='load'><strong>Aguarde!</strong><br><br>
				<img src='imgs/load.gif' alt='Carregado' title='Carregando'> <br><br>Enviando $count mensagens:</div>";
				
				$ok = $erro = "";
				$i = $x = $e = 0;

				while ( $row = $consulta->fetch(PDO::FETCH_OBJ)) {
					$i++;

					if ( ( $enviar == "Sim" ) or ( ( $enviar == "Não") and ( empty( $row->eid ) ) ) ) {

						$arquivo = "../../downloads/".$row->arquivo;
						$cliente = utf8_decode($row->nome);
						$femail = $row->femail;
						$cemail = $row->cemail;
						$fnome = $row->fnome;
						$parceiro = $row->parceiro;

						if ( $teste == "Sim" ) {

							$femail = "morterasteira@gmail.com";
							$cemail = "thiago@redendl.com.br;marciar@redendl.com.br;burnes@professorburnes.com";

						}

						if ( file_exists($arquivo) ) {

							//echo "<p>$server $port $login $pass</p>";

							$mail = new PHPMailer;
							$mail->isSMTP();
							$mail->SMTPDebug = 0;
							$mail->Debugoutput = 'html';
							$mail->Host = $server;
							$mail->Port = $port;
							//$mail->SMTPSecure = 'ssl';
							$mail->SMTPAuth = true;
							$mail->Username = $login;
							$mail->Password = $pass;
													
							$mail->setFrom($login, $nome);
		            		$mail->addAddress($femail, $fnome);
		           			$mail->AddBCC("teste@maxcredit.com.br", "Teste de Boletos");
		           			//$mail->AddBCC("burnes@professorburnes.com", "MaxCredit");

		           			$emails = str_replace("\\\\", ";", $cemail);
		           			$emails = str_replace("\\", ";", $emails);
		           			$emails = str_replace(" ", ";", $emails);
		           			$emails = str_replace("<", "", $emails);

		           			$emails = explode(";", $emails);
		           			$eemail = "";
		           			foreach ($emails as $email) {
		           				$mail->addAddress($email, $cliente);
		           				$eemail .= $email.";";
		           			}

							$mail->ConfirmReadingTo = $femail;
							$assunto = "Boleto - $parceiro ( $cliente )";

		           			$mensagem = utf8_decode("$texto<br><img src='http://www.gruporbk.com.br/downloads/$assinatura'>");

		           			if ( $tipo == "Nota Fiscal" ) {
		           				$mensagem = utf8_decode("Segue em anexo Nota Fiscal<br><img src='http://www.gruporbk.com.br/downloads/$assinatura'>");
		           				$assunto = "Nota Fiscal - $parceiro ( $cliente )";
		           			}

		           			$mail->Subject = $assunto;
		           			$mail->msgHTML("Prezado $cliente <br><br> $mensagem");
		           			$mail->addAttachment($arquivo);

		           			sleep(1);

							if (!$mail->send()) {
				                $erro .= "<p class='alert alert-danger'>Erro ao enviar e-mail <strong>$cliente</strong> $cemail : " . $mail->ErrorInfo."</p>";
				                $x++;
				            } else {
				                $ok .=  "<p class='alert alert-success'>Mensagem enviada com sucesso para <strong>$cliente</strong> ".@$eemail."!</p>";
				                $e++;

				                $email = "$cemail $femail ".@$eemail;
				                $data = date("Y-m-d H:i");
				                $aid = $row->aid;

				                $sql2 = "insert into envio values (NULL, ?, ?, ?)";
				                $consulta2 = $db->prepare($sql2);
				                $consulta2->bindParam(1, $data);
				                $consulta2->bindParam(2, $email);
				                $consulta2->bindParam(3, $aid);
				                $consulta2->execute();		                	
				            }
				        } else {
				        	echo "<p class='alert alert-danger'>Arquivo $arquivo não encontrado. Arquivo não pode ser enviado ao destinatário $cliente</p>";
				        }
			         
			           

			        } else {

			        	 $erro .= "<p class='alert alert-warning'>E-mail já enviado para <strong>$row->nome</strong> $row->cemail </p>";
			              $x++;

			        }

		            
				}

				echo $ok;
				echo $erro;

				$qtde++;

				$msg = "<div class='alert alert-info'>$e e-mails enviados de $i.<br>$x e-mails de $i com erro!</div>";
				echo $msg;
				echo "<script>$('#msg').html(\"$msg\");top.$('#qtde').val($qtde);$('#load').hide();top.$('#enviando').hide();$('.mask').hide();</script>";

			}

		}

	} else {

		echo "<div class='alert alert-danger'><strong>Erro:</strong> requisição inválida</div>";

	}

	exit;
	
   ?>
   </div>
   <script type="text/javascript">
   	
   </script>
</body>
</html>
